MIUI 14 MIUI 14 STABLE RELEASE


I flashed the last firmware, cleared all data, setup the phone, uninstalled the inject apk from adb, installed Kitsune, installed PIF (DEV v1 for now, with support for custom pif.json), cleared data for GP & GPS - and all has been working since.
I don't use LSPosed, may be it is interfering somehow?
And inject apk is automatically installed by FW. Check, it can be installed, go to "Settings -> Apps -> Manage apps" and search for string "inject".
Together they don't work - "You shall not pass!"
My banking, govs and meds apps (which don't work on rooted phones) don't see root.
Thanks!
I'll try to test with someone that also use LSPosed. :emoji_thumbsup:
 
Google Wallet is important for me, but is still not working! It didn't work before the very last updated rom with using Magix and the fix as described on the forum. After the latest updated roms, I did a clean install on both a Mi Lite 5G and on a Mi 10T Pro. Google Wallet worked for about 24 hours, but after that the same problem returned. I am using the EU roms for many years (early adopter), satisfactorily. I want to thank all the contributors for these many years of support. But now I will leave the EU-roms because of the ungoing problems with them and the growing disorder of information on the forum that makes it nearly impossible to find what is relevant for the issues I am strungling with.
There is a new we version of the APK patch, which will resolve it.
 
If you pass the integrity test it should work even if the wallet says "Phone doesn't meet security requirements",
This message should disappear on its own over time.
 
  • Like
Reactions: giuseppeattilio
Hi,

Sorry for asking, I installed it, and Google Wallet still says "Phone doesn't meet security requirements", will it work even if it say that?

Thanks,
Giuseppe
Thank you for the link. But the same message here after installing this new APK. Why were all Roms recently rebuild in the first place? Was this not because of many failures to use Google Wallet?
 
Hello everyone....first post here (but I have been using custom roms for years).

So, I installed the latest 14 stable rom, all working perfectly. I am not rooted nor have attempted any system modification. Google Wallet working nicely with the latest rom plus custom apk. However, some banking apps are complaining that the device is not safe. Same warnings that I would see in the past when rooting my device - again, not the case here since I am on a fresh fastboot install with full data wipe. Device is certified. Any recommendations or suggestions? Thanks and keep up the good work!
 
If you pass the integrity test it should work even if the wallet says "Phone doesn't meet security requirements",
This message should disappear on its own over time.
I've just used Google Wallet in two supermarkets, in one I don't know why it was declined (it may also be because I removed the phone very quickly) in the other one I was able to pay normally
 
Last edited:
Just give it some time, the errors will go away
Thanks, I've just tried in two supermarkets, in one it declined the payment (I'm not sure wether it was for this issue or because I removed the phone from the pos too quickly) in a second supermarket I was able to pay normally. I think the fix works, and I trust you that the error will disappear after some time. Thanks a lot for your hard work
 
Last edited:
Does anyone have issues with notifications not showing up after installing the rebuild? Ones such as Gmail, Telegram and Messenger don't come up immediately
 
After installing the new 2023.12.05 Google pay apk in the updater doesn't fix the wallet. In fact now it doesnt even pass integrity check :(

Edit: After re-installing the ROM and wiping all the Play store and Wallet data it started working! If using magisk remember to configure your denylist.
 
Last edited:
After all the updates and even installing the app to fix it,
I keep getting the message pop up saying "Phone doesn't meet security requirements",
I tried 3 times in 3 different places which usually accept it to pay using Google wallet.
Even uninstalled the app and reinstalled between one of the stores.
On Fuxi.
 
hi, Re Flashed the rom, and updated the 12.0.5 apk and checked the basic integrity still some apps are not working,
attached the screenshot, i never ever had a problem before with theses apps .
google wallet is not working , nor this app i attached the screenshot of, its and uber alternative called inDriver.

also cleared all data of all google apps and these apps

Please Give me a fix... as this is really frustrating and i use the inDriver everyday and now i got stuck i wasted so much time.
 

Attachments

  • WhatsApp Image 2023-12-07 at 15.37.17_688b3e42.jpg
    WhatsApp Image 2023-12-07 at 15.37.17_688b3e42.jpg
    250.3 KB · Views: 233
  • WhatsApp Image 2023-12-07 at 15.37.17_d656c51c.jpg
    WhatsApp Image 2023-12-07 at 15.37.17_d656c51c.jpg
    203.1 KB · Views: 188
Just flashed latest firmware on F3.

Did as per below and able to pay via NFC on Google wallet.

Thanks for the guide. Thanks to the Xiaomi.EU team as well for this. Thanks to the Kacper on the Magisk PIF thread as well.

Cleared data on google play store, and rebooted after.

While the "doesn't meet security requirements" do pop out with Google wallet, just ignore it you can pay ahead via NFC.


Screenshot_2023-12-07-19-00-58-434_com.android.vending.jpg
Screenshot_2023-12-07-19-14-33-405_com.google.android.gms.jpg

I have done all the steps and it works perfectly. I leave a small tutorial for people who do not fully understand how to do it, so you can do it without fear.
My device is a Xiaomi 12, but it should work with any other phone that has MIUI 14 ROM from xiaomi.eu.

IMPORTANT: This method is only valid for the Stable ROM.

First step: Back up the data on the device and transfer it to a computer. (Not mandatory, but recommended).
Settings → My device → Backup and restore → Mobile device → (Select what you are interested in) Back it up.
It will take a long time depending on what you have in storage, if you see that the number does not change or has stopped suddenly, do not worry, the copy continues to work unless the device freezes. As soon as it is, transfer it to the computer. You will find the copy in the folder MIUI → backup → AllBackup → daymonthyear_hourminuteseconds (it is a folder with numbers in the name, you have to move the whole folder, without compressing it or anything).

Second step: Install TWRP (if not already installed)
https://xiaomi.eu/community/threads/howto-install-recovery-image.66211/ (main tutorial)
https://xiaomi.eu/community/threads...all-twrp-and-xiaomi-eu-roms-on-poco-f3.61624/ (extra info.)

Third step: Install the latest ROM available if it is not already available. You can download it from here or directly on the device from the update section.

Fourth step: Install the .apk file that appears in the banner that pops up when you open the Update section.

Fifth step: Delete ALL data from the Google Play application (yes, the app store) and reboot the device.

Sixth step: That's it. Everything should work perfectly.


(if anyone sees an error, please correct me)

(if something is badly written or translated, forgive me, my phone is in Spanish)
 
Last edited:
Hi folks, I've just updated my Redmi Note 10 Pro to the latest FW on my old DELL laptop after I tried to do it on my new Zenbook Pro 16X OLED (UX7602, 12th Gen Intel) and failed. After launching nothing happened, only "Waiting for the phone" message on the screen. On DELL I did it without any problem for the first try. Anybody could help me what could be the issue?
 
Good time of day.
After updating the firmware xiaomi.eu for sweet_k6a (when the module mechanism for replacing fingerprints and passing Play Integrity was introduced), the Swoo payment application stopped working.
I'm inclined to think that the fact is that the application detects that the bootloader is unlocked, since, for example, the Momo application reports this.
I will clarify that at the moment when the firmware xiaomi.eu all patches for passing Play Integrity were completely removed, the application worked properly (and before that, too), despite the fact that Play Integrity was held only at the Basic level
Upd.: I have no Magisk or KSU installed

Can you tell me what to do? I am ready to help solve the problem and try all possible solutions and test firmware builds (but not return a stock ROM with a bootloader lock)

Screenshot_2023-12-07-21-39-36-662_com.cardsmobile.swoo-edit.jpg
Screenshot_2023-12-07-21-42-07-654_io.github.vvb2060.mahoshojo.jpg
Screenshot_2023-12-07-21-42-22-684_krypton.tbsafetychecker.jpg
Screenshot_2023-12-07-21-42-32-038_krypton.tbsafetychecker.jpg

Upd.: Key Attestation results:
Screenshot_2023-12-08-03-04-46-676_io.github.vvb2060.keyattestation.jpg
 
Last edited:
Hi everyone. First of all, thank you dev's for your hard work.
I've got a POCO F2 Pro, is my third phone using these roms. I am currently having several errors similar to other members.
First (4th of December) i flashed the new rom with XiaomiEUModule, remove Magisk and modules and wallet worked again, could add a N26 card.
To solve Netflix problem i cleared store, google service and framework data, reboot phone and it was solved. But when I tried to add cards it wouldn't let me do it anymore, in the last step, when contacts to the bank, shows me this message "Couldn't finish setup to pay in stores. Something went wrong during setup. You can give it another try later", or "Not network connection", depending of the bank (ING, N26, BBVA). Thinking it was a problem with the cards, i added them to my wife's phone without any problem.
Next day i installed the update of the module but nothing changes. I realized that notifications from messaging applications not showing up and weather app not working fine.
Reflashed rom, cleared google data, checked integrity (it's ok), but nothing changed.
Any ideas? Maybe i need to do a clean flash.

Thanks in advance.
 
Can i please get a link to where is the official thread with installation steps and getting the wallet to work and update on the APK that fixes it?
This is the 3rd or so time i chase the issue and stumble upon a resopnse with a solution.
 
Last edited:

TAOYAO_V14.0.8.0.TLIMIXM​

Google Play
The device is not certified
Applications are not updated
 
There is no app update in the Play Market store (endless download ring). In addition, it says in the settings that the device is not certified. Updated from 14.0.7.0 to 14.0.8.0
Could be plenty of reasons for that, I don't see how it's a ROM issue if we can't reproduce it.
We're not Google support.
 
Could be plenty of reasons for that, I don't see how it's a ROM issue if we can't reproduce it.
We're not Google support.
Google Play - Device is not certified
Is this a Google problem, not a ROM? Strange. This all happened after the update to 14.0.8.0...
 

Similar threads